**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/22.1/object-lifecycle-workflows/workflows/retrieve-workflow-actions.md

# Retrieve Workflow Actions



Retrieve all available workflow actions that can be initiated on a specific object workflow.

<Endpoint path="/api/{version}/objects/objectworkflows/{workflow_id}/actions" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{workflow_id}` | The workflow `id` field value. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `loc` | When localized (translated) strings are available, retrieve them by including `loc=true`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.1/objects/objectworkflows/3302/actions

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": [
       {
           "name": "cancel",
           "label": "Cancel"
       },
       {
           "name": "replaceworkflowowner",
           "label": "Replace Workflow Owner"
       },
       {
           "name": "addparticipants",
           "label": "Add Participants"
       }
   ]
}

```
</CodeExample>

## Request {#request-1}

<CodeExample title="">
```
curl -X GET "Authorization: {SESSION_ID}" \
  https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/1801/actions/removecontent

```
</CodeExample>

## Response {#response-1}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "removecontent",
       "label": "Remove Content",
       "controls": [
           {
               "label": "Documents",
               "type": "documents",
               "prompts": [
                   {
                       "name": "documents__sys",
                       "label": "Documents",
                       "required": true
                   }
               ],
               "current_values": [
                   {
                       "document_id__v": "67"
                   },
                   {
                       "document_id__v": "41"
                   }
               ]
           }
       ]
   }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response lists all available workflow actions that can be initiated on the object record. Each action includes the following fields:

* `name` - The workflow action name used to initiate the workflow in the request below.

* `label` - The workflow action label as seen in the UI.

###Retrieve Workflow Action Details

Retrieve details about a workflow action. For example, the `prompts` needed to complete a workflow action.

<Endpoint path="/api/{version}/objects/objectworkflows/{workflow_id}/actions/{workflow_action}" method="GET"></Endpoint>

## Headers {#headers-1}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters-1}

<FieldTable>
| Name | Description |
| --- | --- |
| `{workflow_id}` | The workflow id field value. |
| `{workflow_action}` | The `name` of the workflow action. To get this value, you can [Retrieve Workflow Actions](/vault-api/api-reference/22.1/object-lifecycle-workflows/workflows/retrieve-workflow-actions). |
</FieldTable>

## Request {#request-2}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.1/objects/objectworkflows/3302/actions

```
</CodeExample>

## Response {#response-2}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": [
       {
           "name": "cancel",
           "label": "Cancel"
       },
       {
           "name": "replaceworkflowowner",
           "label": "Replace Workflow Owner"
       },
       {
           "name": "addparticipants",
           "label": "Add Participants"
       }
   ]
}

```
</CodeExample>

## Request {#request-3}

<CodeExample title="">
```
curl -X GET "Authorization: {SESSION_ID}" \
  https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/1801/actions/removecontent

```
</CodeExample>

## Response {#response-3}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "removecontent",
       "label": "Remove Content",
       "controls": [
           {
               "label": "Documents",
               "type": "documents",
               "prompts": [
                   {
                       "name": "documents__sys",
                       "label": "Documents",
                       "required": true
                   }
               ],
               "current_values": [
                   {
                       "document_id__v": "67"
                   },
                   {
                       "document_id__v": "41"
                   }
               ]
           }
       ]
   }
}

```
</CodeExample>

## Response Details {#response-details-1}

On SUCCESS, the response lists all prompts required to complete a workflow action. In the example response, the `removecontent` workflow action requires a value for `documents__sys`.



---

**Previous:** [Retrieve Workflow Details](/safety/vault-api/api-reference/22.1/object-lifecycle-workflows/workflows/retrieve-workflow-details)  
**Next:** [Initiate Workflow Action](/safety/vault-api/api-reference/22.1/object-lifecycle-workflows/workflows/initiate-workflow-action)